Solid Edge Framework Type Library
CreateNewProject Method
Specifies the Name of the new project which user wants to create.
Description
Creates the new project under default cache location
Syntax
Visual Basic
Public Sub CreateNewProject( _
   ByVal bstrProjectName As String _
) 
Parameters
bstrProjectName
Specifies the Name of the new project which user wants to create.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim ProjectName As String
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    ProjectName = "TEST"
    Call objTCE.CreateNewProject(ProjectName)

    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge ST - What's New